package cn.com.ty.lift.batch.applet.dao.model;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * @author huangyuan
 * @date 2020/2/3
 * @description
 */
@Data
public class ContractDataModel extends BaseDataModel {
    /**
     * 合同id
     */
    private Long id;
    /**
     * 合同自定义编号
     */
    private String code;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 开始时间
     */
    private LocalDate starDate;

    /**
     * 结束时间
     */
    private LocalDate endDate;

    /**
     * 签约时间
     */
    private LocalDate givenDate;

    /**
     * 计划收款时间
     */
    private LocalDate planDate;

    /**
     * 合同金额
     */
    private BigDecimal contractMoney;

    /**
     * 计划应收
     */
    private BigDecimal planMoney;

    /**
     * 实际金额
     */
    private BigDecimal workMoney;

    /**
     * 合同状态（1 未开始；2 执行中；3 已结束；4 款未结清）
     */
    private Integer status;

    /**
     * 合同状态 1:新增 2:在执行合同 3:丢失合同
     */
    private Integer contractType;

    /**
     * 上一个合同编号
     */
    private String previousId;

}
