package cn.com.ty.lift.business;

import lombok.extern.slf4j.Slf4j;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.data.redis.repository.configuration.EnableRedisRepositories;
import org.springframework.jms.annotation.EnableJms;
import org.springframework.session.data.redis.config.annotation.web.http.EnableRedisHttpSession;
import org.springframework.web.bind.annotation.CrossOrigin;

/**
 * @Author xwy
 * @create 2019/11/4
 */
@Slf4j
//@CrossOrigin
@EnableJms
@EnableFeignClients
@MapperScan("cn.com.ty.**.mapper")
@SpringBootApplication(scanBasePackages = {"cn.com.ty.lift", "cn.com.xwy.boot"})
@EnableRedisHttpSession
@EnableRedisRepositories
public class BusinessApplication {

    public static void main(String[] args) {
        log.debug("BusinessApplication startup main");
        SpringApplication.run(BusinessApplication.class,args);
    }
}
