package cn.com.ty.lift.business.capital.dao.entity;

import cn.com.ty.lift.business.common.BaseEntity;
import cn.com.ty.lift.common.constants.FieldName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.time.LocalDate;

/**
 * @author bieao
 * @date 2020/04/28
 * @description 大修竣工单
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CapitalRepairImage extends BaseEntity {

    /**
     * 主键ID
     */
    @TableId(value = "id",type = IdType.ID_WORKER)
    private Long id;

    /**
     * 维保公司ID
     */
    @NotNull(message = "维保公司ID不能为空")
    @Min(value = 1, message = "维保公司ID有误")
    private Long mtCompanyId;

    /**
     * 大修项目ID
     */
    @NotNull(message = "大修项目ID不能为空")
    @Min(value = 1, message = "大修项目ID有误")
    private Long projectId;

    /**
     * 图片地址
     */
    @NotEmpty(message = "项目ID不能为空")
    private String imageUrl;
}
