package cn.com.ty.lift.business.capital.dao.entity;

import cn.com.ty.lift.business.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.LocalTime;


/**
 * @author bieao
 * @date 2020/2/5
 * @description 大修签到
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class SignIn extends BaseEntity {

    @TableId(value = "id",type = IdType.ID_WORKER)
    private Long id;

    /**
     * 维保公司ID
     */
    @NotNull(message = "notEmpty")
    private Long mtCompanyId;

    /**
     * 项目ID
     */
    @NotNull(message = "notEmpty")
    private Long projectId;

    /**
     * 用户ID
     */
    @NotNull(message = "notEmpty")
    private Long userId;

    /**
     * 经纬度
     */
    @NotEmpty(message = "notEmpty")
    private String coordinate;

    /**
     * 签到地址
     */
    @NotEmpty(message = "notEmpty")
    private String address;

    /**
     * 签到时间
     */
    private LocalDate signDate;

    /**
     * 进场时间
     */
    private String approachTime;

    /**
     * 离场时间
     */
    private String leavingTime;

}
