package cn.com.ty.lift.business.contract.dao.entity.model.request;

import cn.com.ty.lift.business.contract.dao.entity.Payment;
import cn.com.ty.lift.common.model.PageRequest;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author bieao
 * @date 2019/12/11
 * @description 付款列表查询条件
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class PaymentRequest extends PageRequest {

    /**
     * 公司ID
     */
    @NotNull(message = "公司ID不能为空")
    @Min(value = 1, message = "公司ID有误")
    private Long mtCompanyId;

    /**
     * 合同ID
     */
    @NotNull(message = "合同ID不能为空")
    @Min(value = 1, message = "合同ID有误")
    private Long id;


    /**
     * 合同ID
     */
    @NotNull(message = "合同ID不能为空")
    @Min(value = 1, message = "合同ID有误")
    private Long contractId;

    /**
     * 合同类型
     */
    @NotNull(message = "合同类型不能为空")
    @Min(value = 1, message = "合同类型有误")
    private Integer contractType;

    /**
     * 付款列表
     */
    @NotEmpty(message = "付款列表不能为空")
    private List<Payment> paymentList;

    /**
     * 项目名称
     */
    private String projectName;
}
