package cn.com.ty.lift.business.emergency.dto;

import cn.com.ty.lift.business.emergency.entity.ErRecordCost;
import cn.hutool.core.date.BetweenFormater;
import cn.hutool.core.date.DateUtil;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * <p>
 *     根据条件分页查询急修费用
 * </p>
 * @author wcz
 * @since  2019/12/5
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CostResponse extends ErRecordCost {

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 项目编号
     */
    private String projectCode;

    /**
     * 项目地址
     */
    private String projectAddress;
    /**
     * 电梯注册代码
     */
    private String registrationCode;
    /**
     * 电梯位置
     */
    private String devicePosition;
    /**
     * 维修工
     */
    private String workerName;

    /**
     * 急修原因（0 其他；1 停电；2 故障）
     */
    private Integer repairReason;

    /**
     * 报修时间 手动填写
     */
    private LocalDateTime callerDate;
    /**
     * 开始时间
     */
    private LocalDateTime stopDate;
    /**
     * 恢复时间
     */
    private LocalDateTime recoveryDate;

    /**
     * 维修时长毫秒数
     */
    private long repairDiff;

    private String repairDuration;
    /**
     * 重写getter方法，换算时长 XX天XX小时XX分XX秒
     */
    public String getRepairDuration() {
        return DateUtil.formatBetween(this.repairDiff, BetweenFormater.Level.SECOND);
    }
}
