package cn.com.ty.lift.business.library.dao.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 电梯操作记录
 * </p>
 *
 * @author wcz
 * @since 2020-01-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class LiftHistory implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 记录ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 维保公司ID
     */
    @TableField("mt_company_id")
    private Long mtCompanyId;

    /**
     * 电梯ID
     */
    @TableField("lift_id")
    private Long liftId;

    /**
     * 电梯编号 每个团队单独编号，直梯：ZT000001，扶梯：FT000001
     */
    @TableField("code")
    private String code;

    /**
     * 操作描述
     */
    @TableField("description")
    private String description;

    /**
     * 操作前内容
     */
    @TableField("before_content")
    private String beforeContent;

    /**
     * 操作后内容
     */
    @TableField("after_content")
    private String afterContent;

    /**
     * 操作人ID
     */
    @TableField("operator_id")
    private Long operatorId;

    /**
     * 操作时间
     */
    @TableField("operate_date")
    private LocalDateTime operateDate;


}
