package cn.com.ty.lift.business.maintenance.controller;

import cn.com.ty.lift.business.maintenance.dao.entity.model.request.PropertyMaintenanceVO;
import cn.com.ty.lift.business.maintenance.dao.entity.model.response.PropertyMtResponse;
import cn.com.ty.lift.business.maintenance.dao.mapper.MaintenancePlanMapper;
import cn.com.ty.lift.business.maintenance.dao.mapper.MaintenanceRecordMapper;
import cn.com.ty.lift.business.maintenance.dao.mapper.PropertyMaintenanceMapper;
import cn.com.ty.lift.common.constants.ApiConstants;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@AllArgsConstructor
@RequestMapping("property")
public class PropertyMaintenanceController {
    private final MaintenancePlanMapper maintenancePlanMapper;
    private final MaintenanceRecordMapper maintenanceRecordMapper;
    private final PropertyMaintenanceMapper propertyMaintenanceMapper;

    @PostMapping("maintenance")
    public RestResponse maintenance(@RequestBody PropertyMaintenanceVO propertyMaintenanceVO) {
        Page<PropertyMtResponse> propertyMtResponsePage = new Page<>(propertyMaintenanceVO.getPageNum(), propertyMaintenanceVO.getPageSize());
        //todo
        return RestResponse.success("待实现");
    }

    public Page<PropertyMtResponse> propertyMtResponsePage(Page<PropertyMtResponse> propertyMtResponsePage, PropertyMaintenanceVO propertyMaintenanceVO) {
        Page<PropertyMtResponse> page;
        switch (propertyMaintenanceVO.getType()) {
            case 1:
                page = propertyMaintenanceMapper
                        .queryMaintenancePlanEveryDay(propertyMtResponsePage, ApiConstants.Maintenance.STATUS_UNFINISHED, propertyMaintenanceVO.getPlanDate(), propertyMaintenanceVO.getUserId());
                break;
            case 2:
                page = propertyMaintenanceMapper
                        .queryMaintenanceRecordEveryDay(propertyMtResponsePage, propertyMaintenanceVO.getPlanDate(), propertyMaintenanceVO.getUserId());
                break;
            case 3:
                page = propertyMaintenanceMapper
                        .queryMaintenancePlanEveryDay(propertyMtResponsePage, ApiConstants.Maintenance.STATUS_COMPLETED, propertyMaintenanceVO.getPlanDate(), propertyMaintenanceVO.getUserId());
                break;
            case 4:
                page = propertyMaintenanceMapper
                        .queryMaintenancePlanEveryDay(propertyMtResponsePage, ApiConstants.Maintenance.STATUS_EXCEED, propertyMaintenanceVO.getPlanDate(), propertyMaintenanceVO.getUserId());
                break;
            case 5:
                //todo
                page = new Page<>();
                break;
            default:
                page = new Page<>();
        }
        return page;
    }
}
