package cn.com.ty.lift.business.maintenance.dao.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 维保处理
 * </p>
 *
 * @author wcz
 * @since 2020-01-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class MaintenanceDispose implements Serializable {

    private static final long serialVersionUID = 1L;


    @TableId("id")
    private Integer id;
    /**
     * 维保记录ID
     */
    private Long maintenanceRecordId;

    /**
     * 公司ID
     */
    private Long mtCompanyId;

    /**
     * 电梯ID
     */
    private Long liftId;

    /**
     * 类型  '1：超期 2：补录'
     */
    private Integer type;

    /**
     * 是否合规  '0：不合规 1：合规'
     */
    private Integer isStandard;

    /**
     * 原因
     */
    private String reason;

    /**
     * 处理人
     */
    private Long dealUserId;

    /**
     * 处理时间
     */
    private LocalDateTime dealDate;


}
