package cn.com.ty.lift.business.maintenance.dao.entity.model.response;

import cn.com.ty.lift.business.maintenance.dao.entity.MaintenancePlan;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>保养计划返回</p>
 * @author wcz
 * @since  2020/1/17
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class MtPlanResponse extends MaintenancePlan {

    /**
     * 维保记录id
     */
    private Long mtRecordId;
    /**
     * 电梯类型 1直梯，2扶梯
     */
    private Integer liftType;
    /**
     * 电梯类别(1:曳引梯;2:液压梯;3:杂物梯;4:自动扶梯;5:自动人行道)
     */
    private Integer liftCategory;
    /**
     * 单位设备编号
     */
    private String useCompanyCode;

    /**
     * 注册代码
     */
    private String registrationCode;
    /**
     * 项目名
     */
    private String projectName;

    /**
     * 电梯位置
     */
    private String devicePosition;

    /**
     * 电梯主要负责人
     */
    private String workerName;

    /**
     * 超期类型，1计划超期，2法规超期
     */
    private Integer overdue;

    /**
     * 关联维保记录的状态
     * -3：没有维保记录（可以补录）
     * -2：已补录工单，（没有维保项，可以继续填写）
     * -1：待审核（通过app端添加的），通过后台添加的，直接 ->2
     * 2：审核通过或者后台直接添加
     */
    private String recordStatus;
}
