package cn.com.ty.lift.business.project.dao.entity;

import cn.com.ty.lift.business.common.BaseEntity;
import cn.com.ty.lift.common.constants.FieldName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * 实体类 - 表：project
 * @author bieao
 * @since 2019-11-28 15:52:37
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class Project extends BaseEntity {

    /**
     * 项目ID
     */
    @TableId(value = "id",type = IdType.ID_WORKER)
    @NotNull(message = "项目ID不能为空")
    private Long id;

    /**
     * 维保公司ID
     */
    @FieldName(name = "维保公司ID")
    @NotNull(message = "维保公司ID不能为空")
    private Long mtCompanyId;

    /**
     * 甲方公司ID
     */
    @FieldName(name = "甲方公司ID")
    @NotNull(message = "甲方公司ID不能为空")
    private Long ppCompanyId;

    /**
     * 甲方联系人ID
     */
    @FieldName(name = "甲方联系人ID")
    private Long ppContactId;

    /**
     * 项目编号
     */
    @FieldName(name = "项目编号")
    private String projectCode;

    /**
     * 项目名称
     */
    @FieldName(name = "项目名称")
    private String projectName;

    /**
     * 省编码
     */
    @FieldName(name = "省编码")
    private String provinceCode;

    /**
     * 省
     */
    @FieldName(name = "省")
    private String province;

    /**
     * 市编码
     */
    @FieldName(name = "市编码")
    private String cityCode;

    /**
     * 市
     */
    @FieldName(name = "市")
    private String city;

    /**
     * 区编码
     */
    @FieldName(name = "区编码")
    private String districtCode;

    /**
     * 区
     */
    @FieldName(name = "区")
    private String district;

    /**
     * 项目地址
     */
    @FieldName(name = "项目地址")
    private String address;

    /**
     * 台量
     */
    @FieldName(name = "台量")
    private Integer num;

    /**
     * 实际台量
     */
    @FieldName(name = "实际台量")
    private Integer actualNum;

    /**
     * 用途 1.住宅2.办公楼3.医院4.商场5.工厂6.酒店7.交通枢纽8.学校9.剧场10.其他
     */
    @FieldName(name = "用途")
    private String projectUsage;

    /**
     * 开始时间
     */
    @FieldName(name = "开始时间")
    private LocalDate startDate;

    /**
     * 结束时间
     */
    @FieldName(name = "结束时间")
    private LocalDate endDate;

    /**
     * 状态  0:删除 1:尚未开始(项目开始日期晚于系统日期);2:服务中(系统日期在项目开始和结束日期之间，包括相等) 3:停止服务 4.逾期
     */
    @FieldName(name = "状态")
    private String projectStatus;

    /**
     * 备注
     */
    @FieldName(name = "备注")
    private String remarks;

    /**
     * 是否锁定 0否 1是
     */
    @FieldName(name = "是否锁定")
    private Integer locked;

    /**
     * 评价方式 0是默认 24  1天后自动评价 48  48小时候默认好评
     */
    @FieldName(name = "评价方式")
    private Integer evaluate;

    /**
     * 停止服务描述
     */
    @FieldName(name = "停止服务描述")
    private String endRemarks;

    /**
     * 维保班长编辑电梯负责人权限  0否1是
     */
    @FieldName(name = "维保班长编辑电梯负责人权限")
    private Integer ifMonitor;

    /**
     * 维保工查看所有电梯权限 0否 1是
     */
    @FieldName(name = "维保工查看所有电梯权限")
    private Integer allProject;

    /**
     * 区域ID
     */
    @FieldName(name = "区域ID")
    private Long regionId;
    /**
     * 是否保存
     */
    @FieldName(name = "是否保存")
    private Integer save;

    /**
     * 项目停止时间
     */
    @FieldName(name = "项目停止时间")
    private LocalDateTime stopTime;
}