package cn.com.ty.lift.business.project.dao.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * (甲方公司)客户表
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-11-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PropertyCompany implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 甲方公司id
     */
    @TableId(value = "id",type = IdType.ID_WORKER)
    private Long id;

    /**
     * 维保公司id
     */
    private Long mtCompanyId;

    /**
     * 编号
     */
    private String code;

    /**
     * 名称
     */
    private String name;

    /**
     * 地址
     */
    private String address;

    /**
     * 邮寄地址
     */
    private String mailingAddress;

    /**
     * 注册资金
     */
    private BigDecimal registeredCapital;

    /**
     * 企业法人
     */
    private String corporator;

    /**
     * 联系电话
     */
    private String telephone;

    /**
     * 主要业务
     */
    private String mainBusiness;

    /**
     * 营业执照编号
     */
    private String businessLicenseCode;

    /**
     * 营业执照附件
     */
    private String businessLicenseAnnex;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 创建人id
     */
    private Long creatorId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;
}
