package cn.com.ty.lift.business.project.dao.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * (甲方联系人)客户联系人表
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-11-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PropertyContact implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 联系人id
     */
    @TableId(value = "id",type = IdType.ID_WORKER)
    private Long id;

    /**
     * 甲方公司id
     */
    @TableId(value = "pp_company_id")
    private Long ppCompanyId;

    /**
     * 姓名
     */
    private String name;

    /**
     * 职位
     */
    private String job;

    /**
     * 联系电话
     */
    private String telephone;


    /**
     * 0删除 1正常 2有关联项目
     */
    private Integer status;


    /**
     * 创建人id
     */
    private Long creatorId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;
}