package cn.com.ty.lift.common.constants;

import java.util.HashMap;
import java.util.Map;

/**
 * @author huangyuan
 * @date 2019-12-11
 * @description 默认菜单常量
 */
public class DefaultMenuConstants {

    /**
     * 默认角色
     */
    public static final CommonEnum.DefaultRole[] DEFAULT_ROLE = {
            CommonEnum.DefaultRole.MTWORK,
            CommonEnum.DefaultRole.CLERK,
            CommonEnum.DefaultRole.FINANCE,
            CommonEnum.DefaultRole.REGION_DIRECTOR,
            CommonEnum.DefaultRole.HIGH_DIRECTOR,
    };
    /**
     * 维保工默认菜单
     */
    public static final long[] MTWORK_MENUIDS = {};
    /**
     * 文员默认菜单
     */
    public static final long[] CLERK_MENUIDS = {
            //客户管理 34 - 40
            34L, 35L, 36L, 37L, 38L, 39L, 40L,
            //项目管理 55 - 62
            55L, 56L, 57L, 58L, 59L, 60L, 61L, 62L,
            //维保管理 63 - 76
            63L, 64L, 65L, 66L, 67L, 68L, 69L, 70L, 71L, 72L, 73L, 74L, 75L, 76L,
            //电梯管理 77 - 86
            77L, 78L, 79L, 80L, 81L, 82L, 83L, 84L, 85L, 86L,
            //合同管理 87 - 103
            87L, 88L, 89L, 90L, 91L, 92L, 93L, 94L, 95L, 96L, 97L, 98L, 99L, 100L, 101L, 102L, 103L,
            //急修管理 104 - 117
            104L, 105L, 106L, 107L, 108L, 109L, 110L, 111L, 112L, 113L, 114L, 115L, 116L, 117L,
            //年检管理 118 - 122
            118L, 119L, 120L, 121L, 122L,
            //办公oa 123 - 133
            123L, 124L, 125L, 126L, 127L, 128L, 129L, 130L, 131L, 132L, 133L,
            //大修管理 134
            134L,
            //企业首页 136
            136L,
    };
    /**
     * 财务默认菜单
     */
    public static final long[] FINANCE_MENUIDS = {
            //合同管理 87 - 103
            87L, 88L, 89L, 90L, 91L, 92L, 93L, 94L, 95L, 96L, 97L, 98L, 99L, 100L, 101L, 102L, 103L,
    };
    /**
     * 区域主管默认菜单
     */
    public static final long[] REGION_DIRECTOR_MENUIDS = {
            //客户管理 34 - 40
            34L, 35L, 36L, 37L, 38L, 39L, 40L,
            //项目管理 55 - 62
            55L, 56L, 57L, 58L, 59L, 60L, 61L, 62L,
            //维保管理 63 - 76
            63L, 64L, 65L, 66L, 67L, 68L, 69L, 70L, 71L, 72L, 73L, 74L, 75L, 76L,
            //电梯管理 77 - 86
            77L, 78L, 79L, 80L, 81L, 82L, 83L, 84L, 85L, 86L,
            //急修管理 104 - 117
            104L, 105L, 106L, 107L, 108L, 109L, 110L, 111L, 112L, 113L, 114L, 115L, 116L, 117L,
            //年检管理 118 - 122
            118L, 119L, 120L, 121L, 122L,
            //大修管理 134
            134L,
            //企业首页 136
            136L,

    };
    /**
     * 总经理默认菜单
     */
    public static final long[] HIGH_DIRECTOR_MENUIDS = {};
    /**
     * 企业默认菜单
     */
    public static final long[] ENTERPRISE_MENUIDS = {
            //企业设置 6 - 33 排除:7-10
            6L, 11L, 12L, 13L, 14L, 15L, 16L, 17L, 18L, 19L, 20L, 21L,
            22L, 23L, 24L, 25L, 26L, 27L, 28L, 29L, 30L, 31L, 32L, 33L,
            //客户管理 34 - 40
            34L, 35L, 36L, 37L, 38L, 39L, 40L,
            //项目管理 55 - 62
            55L, 56L, 57L, 58L, 59L, 60L, 61L, 62L,
            //维保管理 63 - 76
            63L, 64L, 65L, 66L, 67L, 68L, 69L, 70L, 71L, 72L, 73L, 74L, 75L, 76L,
            //电梯管理 77 - 86
            77L, 78L, 79L, 80L, 81L, 82L, 83L, 84L, 85L, 86L,
            //合同管理 87 - 103
            87L, 88L, 89L, 90L, 91L, 92L, 93L, 94L, 95L, 96L, 97L, 98L, 99L, 100L, 101L, 102L, 103L,
            //急修管理 104 - 117
            104L, 105L, 106L, 107L, 108L, 109L, 110L, 111L, 112L, 113L, 114L, 115L, 116L, 117L,
            //年检管理 118 - 122
            118L, 119L, 120L, 121L, 122L,
            //办公oa 123 - 133
            123L, 124L, 125L, 126L, 127L, 128L, 129L, 130L, 131L, 132L, 133L,
            //大修管理 134
            134L,
            //企业首页 136
            136L,
    };
    /**
     * 默认角色对应菜单信息
     */
    public static Map<String, long[]> DEFAULT_ROLE_MENUIDS = new HashMap<>();

    static {
        //设置维保工默认菜单
        DEFAULT_ROLE_MENUIDS.put(CommonEnum.DefaultRole.MTWORK.getCode(), MTWORK_MENUIDS);
        //设置文员默认菜单
        DEFAULT_ROLE_MENUIDS.put(CommonEnum.DefaultRole.CLERK.getCode(), CLERK_MENUIDS);
        //设置财务默认菜单
        DEFAULT_ROLE_MENUIDS.put(CommonEnum.DefaultRole.FINANCE.getCode(), FINANCE_MENUIDS);
        //设置区域主管默认菜单
        DEFAULT_ROLE_MENUIDS.put(CommonEnum.DefaultRole.REGION_DIRECTOR.getCode(), REGION_DIRECTOR_MENUIDS);
        //设置高级主管默认菜单
        DEFAULT_ROLE_MENUIDS.put(CommonEnum.DefaultRole.HIGH_DIRECTOR.getCode(), HIGH_DIRECTOR_MENUIDS);
        //企业管理员默认菜单
        DEFAULT_ROLE_MENUIDS.put(CommonEnum.DefaultRole.ENTERPRISE_ADMIN.getCode(), ENTERPRISE_MENUIDS);
    }
}
