package cn.com.ty.lift.enterprise.oa.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 公告图片
 * </p>
 *
 * @author wcz
 * @since 2019-12-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class AnnouncementImg implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId("id")
    private Long id;
    /**
     * 公告ID
     */
    @NotNull(message = "公告不能为空")
    @Min(value = 1,message = "公告有误")
    private Long announcementId;

    /**
     * 图片地址
     */
    @NotNull(message = "图片不能为空")
    private String imgUrl;

    /**
     * 排序
     */
    private Integer sort;
}
