package cn.com.ty.lift.enterprise.oa.entity;

import cn.com.ty.lift.enterprise.config.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.*;
import java.time.LocalDate;

/**
 * <p>
 * 操作证
 * </p>
 *
 * @author wcz
 * @since 2019-12-04
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class LiftCertificate extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @TableId("id")
    private Long id;

    /**
     * 拥有者ID
     */
    @NotNull(message = "拥有者不能为空")
    @Min(value = 1,message = "拥有者有误")
    private Long ownerId;

    /**
     * 维保公司id
     */
    @NotNull(message = "维保公司不能为空")
    @Min(value = 1,message = "维保公司有误")
    private Long mtCompanyId;

    /**
     * 操作证号
     */
    @NotBlank(message = "缺少操作证号")
    private String code;

    /**
     * 发证单位
     */
    @NotBlank(message = "缺少发证单位")
    private String issuanceAgency;

    /**
     * 有效期
     */
    @NotNull(message = "缺少操作证有效期")
    @Future(message = "操作证有效期已过期")
    private LocalDate expirationDate;

    /**
     * 证件类型
     */
    @NotBlank(message = "缺少证件类型")
    private String certificateType;

    /**
     * 第一张图片路径
     */
    @NotBlank(message = "缺少操作证正反面图片")
    private String firstImgUrl;

    /**
     * 第二张图片路径
     */
    @NotBlank(message = "缺少操作证正反面图片")
    private String secondImgUrl;

    /**
     * 0：无证，1：待审核，2：审核未通过，3：审核通过，4：超期
     */
    private Integer status;
    
}
