package cn.com.ty.lift.enterprise.option.dao.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 保养项目
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-12-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class MaintenanceOption implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 保养项目ID
     */
    @TableId(value = "id", type = IdType.ID_WORKER)
    private Long id;

    /**
     * 维保公司id
     */
    @TableField("mt_company_id")
    private Long mtCompanyId;

    /**
     * 保养项目
     */
    @TableField("item")
    private String item;

    /**
     * 保养内容
     */
    @TableField("content")
    private String content;

    /**
     * 保养类型  '1.半月，2.季度，3.半年，4.全年'
     */
    @TableField("type")
    private Integer type;

    /**
     * 电梯类别(1:曳引梯;2:液压梯;3:杂物梯;4:自动扶梯;5:自动人行道)
     * 电梯类型(1乘客梯/载货电梯 2液压梯 3扶梯/人行道 4杂物梯)
     */
    @TableField("lift_category")
    private Integer liftCategory;

    /**
     * 分类(1机房 2轿顶 3轿厢 4层门 5底坑井道)
     */
    @TableField("sort")
    private Integer sort;

    /**
     * 状态  '0.不显示，1.正常'
     */
    @TableField("status")
    private Integer status;

    /**
     * 标记
     */
    @TableField("signage")
    private String signage;
}