package cn.com.ty.lift.push;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.data.redis.repository.configuration.EnableRedisRepositories;
import org.springframework.jms.annotation.EnableJms;
import org.springframework.session.data.redis.config.annotation.web.http.EnableRedisHttpSession;

/**
 * 消息推送
 *
 * @author wcz
 * @since 2020/4/13
 */
@EnableJms
@EnableFeignClients
@MapperScan("cn.com.ty.**.mapper")
@SpringBootApplication
@EnableRedisHttpSession
@EnableRedisRepositories
public class PushApplication {

    public static void main(String[] args) {
        SpringApplication.run(PushApplication.class, args);
    }
}
