package cn.com.ty.lift.quan;

import lombok.extern.slf4j.Slf4j;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.data.redis.repository.configuration.EnableRedisRepositories;
import org.springframework.jms.annotation.EnableJms;
import org.springframework.session.data.redis.config.annotation.web.http.EnableRedisHttpSession;

/**
 * @Author xwy
 * @create 2019/11/4
 */
@Slf4j
@EnableFeignClients
@MapperScan("cn.com.ty.**.dao.mapper")
@EnableJms
@SpringBootApplication(scanBasePackages = {"cn.com.ty.lift", "cn.com.xwy.boot"})
@EnableRedisHttpSession
@EnableRedisRepositories
public class QuanApplication {

    public static void main(String[] args) {
        log.debug("QuanApplication startup main");
        SpringApplication.run(QuanApplication.class,args);
    }
}