package cn.com.ty.lift.system.homepage.dao.mapper;

import cn.com.ty.lift.system.homepage.dao.dto.request.TodoRequest;
import cn.com.ty.lift.system.homepage.dao.dto.response.*;
import cn.com.xwy.boot.mybatis.MyBatisMapper;

import java.util.List;

/**
 * @author huangyuan
 * @date 2020/2/21
 * @description 待办
 */
@MyBatisMapper
public interface TodoDataMapper {

    /**
     * @param
     * @return
     * @description 获取急修待办条数
     * @date 2020/2/22 11:27 上午
     */
    Long getEmergencyTodoCount(TodoRequest todoRequest);

    /**
     * @param
     * @return
     * @description 获取维保待办条数
     * @date 2020/2/22 11:30 上午
     */
    Long getMaintenanceTodoCount(TodoRequest todoRequest);

    /**
     * @param
     * @return
     * @description 获取大修待办条数
     * @date 2020/2/22 11:31 上午
     */
    Long getCapitalTodoCount(TodoRequest todoRequest);

    /**
     * @param
     * @return
     * @description 获取年检待办条数
     * @date 2020/2/22 11:33 上午
     */
    Long getAnnualTodoCount(TodoRequest todoRequest);

    /**
     * @param
     * @return
     * @description 获取团队申请待办信息
     * @date 2020/2/24 10:41 上午
     */
    List<CompanyApplyResponse> getCompanyApplyTodo(TodoRequest todoRequest);

    /**
     * @param
     * @return
     * @description 获取团队成员申请待办信息
     * @date 2020/2/24 10:41 上午
     */
    List<CompanyUserApplyResponse> getCompanyUserApplyTodo(TodoRequest todoRequest);
}
