package cn.com.ty.lift.system.user.dao.mapper;

import cn.com.ty.lift.system.user.dao.entity.MtCompanyUser;
import cn.com.ty.lift.system.user.dao.entity.model.LiftCertificate;
import cn.com.ty.lift.system.user.dao.entity.model.ProjectInfo;
import cn.com.ty.lift.system.user.dao.entity.model.ProjectUser;
import cn.com.xwy.boot.mybatis.MyBatisMapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * MyBatis Mapper 接口 - 表：mt_company_user
 *
 * @since 2019-12-03 16:55:27
 */
@MyBatisMapper
public interface MtCompanyUserMapper extends BaseMapper<MtCompanyUser> {
    /**
     * @param
     * @return
     * @description 获取用户在该公司关联的项目
     * @date 2019-12-17 09:26
     */
    Long getCompanyUserProject(ProjectUser projectUser);

    /**
     * @param
     * @return
     * @description 获取用户在当前公司有没有正在进行的急修任务
     * @date 2019-12-17 09:56
     */
    Long getCompanyUserEmergency(ProjectUser projectUser);

    /**
     * @param
     * @return
     * @description 获取用户电梯操作证信息
     * @date 2019-12-17 15:43
     */
    List<LiftCertificate> getLiftCertificateList(ProjectUser projectUser);

    /**
     * @param
     * @return
     * @description 获取用户操作证信息
     * @date 2019-12-28 16:34
     */
    LiftCertificate getLiftCertificateByUserIdAndCompanyId(ProjectUser projectUser);

    /**
     * @param projectId
     * @return 项目信息
     * @description 通过项目id获取项目信息
     * @date 2020/5/2 11:00 下午
     */
    ProjectInfo getProjectById(Long projectId);
}