package cn.com.ty.lift.system.user.service;

import cn.com.ty.lift.system.user.dao.entity.Menu;
import cn.com.ty.lift.system.user.dao.entity.RoleMenu;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @author huangyuan
 * @date 2019-12-01
 * @description 角色菜单接口
 */
public interface IRoleMenuService extends IService<RoleMenu> {
    /**
     * @param roleId  角色id
     * @param menuIds 菜单id，通过","连接
     * @return boolean是否成功，false失败，true成功
     * @description 批量关联菜单
     * @date 2019/11/27 10:03 AM
     */
    boolean saveRoleMenu(Long roleId, String menuIds);

    /**
     * @param roleId 角色id
     * @description 删除角色菜单关联信息
     * @date 2019/11/27 10:03 AM
     */
    int deleteRoleMenu(Long roleId);

    /**
     * @param
     * @return
     * @description 获取菜单树
     * @date 2019-12-18 17:12
     */
    List<Menu> getMenuTree(Long roleId);
}
